Subject: Re: [PATCH net-next] selftests: rtnetlink: add a small macsec test case

From: Florian Westphal <[email-masked]>
Date: Thu, 12 Oct 2017 12:52:16 +0200

Sabrina Dubroca <[email-masked]> wrote:
> 2017-10-12, 11:11:22 +0200, Florian Westphal wrote:
> > Signed-off-by: Florian Westphal <[email-masked]>
> 
> Reviewed-by: Sabrina Dubroca <[email-masked]>

Thanks for reviewing.

> Just a small detail: the "ip macsec" commands actually use genetlink
> and not rtnetlink.

Right, but it implements rtnl link ops so it ends up
interacting with rtnetlink too...

I also added sysfs-based change of device aliases to this script,
and I'm sure I will end up adding test cases that interact with
rtnetlink via ioctl, setsockopts and so on.

rtnl_lock() is all over the place so I think it makes sense to
cover as much callsites/call paths as possible even if the entry
point is not via rtnetlink socket.